package com.cico.nest.lcdp.boot.core.qxsd.infrastructure.common.utils;

import com.cico.nest.lcdp.boot.core.qxsd.domain.event.EventType;

import java.util.Arrays;
import java.util.List;

/**
 * @author tongzuqi
 * @create 2025/7/7 9:23 AM
 */
public  class EventUtil {

    /**
     * 定义错误的车牌号
     */
    public static List<String> CAR_PLATE_ERROR_LIST = Arrays.asList("人","未知","默A00000");


    /**
     * 判断非车辆相关事件
     * 比如：
     * @return boolean true 非车辆事件 false 车辆相关事件
     */
    public static boolean isNonVehicle(Integer eventType){//List<String> carPlateList,
        if ( EventType.getTypeNonVehicle().contains(eventType)){
            return true;
        }
        return false;
    }
}
